<?php

function devcorner_events_widget_content($excerpt = false) {
   $events_array = array();
   $loop = new WP_Query( array( 'post_type' => 'events', 'posts_per_page' => get_option('devcorner_events_amount') ) );
   while ( $loop->have_posts() ) : $loop->the_post();
  		$id = get_the_ID();
  		$date = strtotime(get_post_meta($id, "_date", true));
  		$location = get_post_meta($id, "_location", true);
  		$time = get_post_meta($id, "_time", true);

      $day = date('d', $date);
  		$month = date('M', $date);


  		?>
  		<a href="<?php the_permalink(); ?>">
  		<div class="devcorner-events-widget">
  			<div class="devcorner-events-date"><?php echo $day; ?><span><?php echo $month; ?></span></div>
  			<div class="devcorner-events-content">
  					<span class="devcorner-events-event-title"><?php the_title(); ?></span>
            <?php
              if($excerpt) {
                the_excerpt();
              }
             ?>
  					<span class="devcorner-events-hours"><?php echo $time; ?></span>
  					<span class="devcorner-events-location"><?php echo $location; ?></span>
  			</div>
  		</div>
  		</a>
  		<?php

   endwhile; wp_reset_query();
}


function devcorner_events_load_styles() {
  wp_enqueue_style('devcorner_events_widget_style', plugins_url('/devcorner-events/public/css/widget-style.css'));
  wp_enqueue_style('devcorner_events_shortcode_style', plugins_url('/devcorner-events/public/css/shortcode-style.css'));

  // ustawienia użytkownika
  $custom_css = "";

  if(get_option('devcorner_events_hover') == 'border'){
    $custom_css .= "
      .devcorner-events-widget:hover {
          border: 1px solid #ddd;
      }
    ";
  }
  $custom_css .= "
    .devcorner-events-widget, body .devcorner-events-widget .devcorner-events-content p {
        color: ".get_option('devcorner_events_text_color').";
    }
  ";

  wp_add_inline_style('devcorner_events_widget_style', $custom_css);

}

add_action('wp_enqueue_scripts', 'devcorner_events_load_styles');
